@echo off
rem BEGIN CMVC
rem ************************************************************************
rem
rem   Workfile: setup_environment.cmd, v3-samples, fmv3
rem   Last update: 01/03/23 13:42:56
rem   SCCS path, id: /home/flowmark/vc/0/3/7/8/s.74 1.1
rem
rem ************************************************************************
rem END CMVC
rem BEGIN COPYRIGHT
rem ************************************************************************
rem
rem   Licensed Materials - Property of IBM
rem   WA03 SupportPac
rem   (c) Copyright IBM Corp. 2001
rem   US Government Users Restricted Rights - Use, duplication or
rem   disclosure restricted by GSA ADP Schedule Contract
rem   with IBM Corp.
rem
rem ************************************************************************
rem END COPYRIGHT
rem BEGIN DISCLAIMER
rem ************************************************************************
rem   DISCLAIMER
rem   ----------
rem   This material contains programming source code for your consideration.
rem   These examples have not been thoroughly tested under all conditions.
rem   IBM, therefore, cannot guarantee or imply reliability, serviceability,
rem   or function of these programs.
rem   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
rem   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
rem   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
rem   FOR A PARTICULAR PURPOSE.
rem ************************************************************************
rem END DISCLAIMER

echo ***************************************************************************
echo *                                                                         *
echo * Command file that contains the setup needed for a command prompt,       *
echo * to prepare your environment for using the JDK delivered with WebSphere  *
echo * and JMS with MQSeries                                                   *
echo *                                                                         *
echo * This script is a prerequisite for all other scripts in this directory   *
echo * and MUST BE CONFIGURED FIRST BY YOU to run correctly.                   *
echo *                                                                         *
echo ***************************************************************************

rem !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!IMPORTANT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 

rem Replace the following three settings with your values to configure
rem this script.

rem Points to the WebSphere installation directory
set WS_HOME=e:\websphere\appserver

rem Points to the MQSeries Workflow installation directory
set MQWF_HOME=e:\fmcwinnt

rem Points to the MQSeries JMS(support pack MA88) installation directory
set JMS_HOME=d:\mqseries\java

rem End configuration section, please don't change the rest





rem Path entry %JMS_HOME%\lib is required only for the UPES sample
set PATH=%JMS_HOME%\lib;%WS_HOME%\jdk\bin;%PATH%

rem The jar files cosnaming.jar, iiimp.jar, iioprt.jar, jndi.jar, providerutil.jar,
rem    rmiorb.jar, rmiregistry.jar and fmcojagt.jar are required only for 
rem    the PEA sample (the first 7 extension jar files are required only 
rem    for the Java High Performance Bridge)
rem The jar files com.ibm.mq.jar, com.ibm.mqbind.jar, com.ibm.mq.iiop.jar,
rem    com.ibm.mqjms.jar, jms.jar and xerces.jar are required only for 
rem    the UPES sample.
set CLASSPATH=%JMS_HOME%\lib\com.ibm.mq.jar;%JMS_HOME%\lib\com.ibm.mqbind.jar;%JMS_HOME%\lib\com.ibm.mq.iiop.jar;%JMS_HOME%\lib\com.ibm.mqjms.jar;%JMS_HOME%\lib\jms.jar;%WS_HOME%\lib\xerces.jar;%WS_HOME%\deployedejbs\_wlm_Inc.jar;%WS_HOME%\jdk\jre\lib\ext\cosnaming.jar;%WS_HOME%\jdk\jre\lib\ext\iiimp.jar;%WS_HOME%\jdk\jre\lib\ext\iioprt.jar;%WS_HOME%\jdk\jre\lib\ext\jndi.jar;%WS_HOME%\jdk\jre\lib\ext\providerutil.jar;%WS_HOME%\jdk\jre\lib\ext\rmiorb.jar;%WS_HOME%\jdk\jre\lib\ext\rmiregistry.jar;.;%MQWF_HOME%\bin\java3300\fmcojagt.jar;%WS_HOME%\lib\ujc.jar;%CLASSPATH%

set JAVA_HOME=%WS_HOME%\jdk
prompt EJB_ENV-$P$G


rem echo JAVA_HOME=%JAVA_HOME%
rem echo PATH=%PATH%
rem echo CLASSPATH=%CLASSPATH%
echo Environment setup for EJB invocation complete
